# Copyright 2009-2022 CERN. Licensed under LGPLv3+.

Name:           HEP_OSlibs
Version:        8.1.2
Release:        3%{?dist}
Summary:        HEP OS dependencies
Group:          System/Middleware
License:        LGPLv3+
ExclusiveArch:  x86_64 aarch64

Requires: attr(%{__isa})
Requires: autoconf
Requires: automake
Requires: bzip2(%{__isa})
Requires: bzip2-devel(%{__isa})
#Requires: ccache(%{__isa}) # EPEL
Requires: cmake(%{__isa})
Requires: cyrus-sasl-devel(%{__isa})
Requires: file(%{__isa})
Requires: gcc(%{__isa})
Requires: gcc-c++(%{__isa})
Requires: gcc-gfortran(%{__isa})
Requires: gdb(%{__isa})
Requires: gdbm-devel(%{__isa})
Requires: git(%{__isa})
Requires: glibc-devel(%{__isa})
Requires: gmp-devel(%{__isa})
Requires: jq(%{__isa})
Requires: libaio-devel(%{__isa})
Requires: libcap-devel(%{__isa})
Requires: libcurl-devel(%{__isa})
Requires: libnsl(%{__isa})
Requires: libtirpc-devel(%{__isa})
Requires: libtool(%{__isa})
Requires: libuuid-devel(%{__isa})
Requires: libxcb-devel(%{__isa})
Requires: libxkbcommon-devel(%{__isa})
Requires: libxkbcommon-x11-devel(%{__isa})
Requires: libxml2-devel(%{__isa})
Requires: libXpm-devel(%{__isa})
Requires: libXt-devel(%{__isa})
Requires: lz4-devel(%{__isa})
Requires: make(%{__isa})
Requires: mesa-libGL-devel(%{__isa})
Requires: mesa-libGLU-devel(%{__isa})
Requires: motif-devel(%{__isa})
Requires: ncurses-devel(%{__isa})
Requires: net-tools(%{__isa})
Requires: openssl-devel(%{__isa})
Requires: patch(%{__isa})
Requires: perl-Thread-Queue
Requires: python2(%{__isa})
Requires: python3(%{__isa})
Requires: readline-devel(%{__isa})
Requires: redhat-lsb-core(%{__isa})
Requires: rpm-build(%{__isa})
Requires: rsync(%{__isa})
Requires: subversion(%{__isa})
Requires: tcl-devel(%{__isa})
Requires: telnet(%{__isa})
Requires: tk-devel(%{__isa})
Requires: unzip(%{__isa})
Requires: which(%{__isa})
Requires: xcb-util-devel(%{__isa})
Requires: xcb-util-image-devel(%{__isa})
Requires: xcb-util-keysyms-devel(%{__isa})
Requires: xcb-util-renderutil-devel(%{__isa})
Requires: xcb-util-wm-devel(%{__isa})
Requires: xorg-x11-xbitmaps
Requires: xorg-x11-xinit(%{__isa})
#Requires: xrootd-client(%{__isa}) # EPEL
Requires: xz(%{__isa})
Requires: xz-devel(%{__isa})
Requires: zlib-devel(%{__isa})

%description
This rpm captures the OS dependencies of the LHC experiment applications on 
CentOS8. The list of packages was compiled by the SPI team as the minimal 
list of runtime and devel packages needed to build the LCG software stack.
Though the primary target of this rpm is CentOS8/x86_64, the use of generic 
%{__isa} tags simplifies support for non-x86 architectures, such as aarch64
(see https://rpm.org/user_doc/arch_dependencies.html).

%files
%defattr(-,root,root,-)
%doc

%changelog

* Tue Jul 26 2022 Andrea Valassi 8.1.2-3 (x86_64 and aarch64)
[Requestor: D. Konstantinov (SPI)]
Add several xcb/xkb packages needed by Qt5 runtime (SPI-2193).
Require 62 packages on x86_64 and aarch64 (58 x86-64/aarch-64, 4 noarch).

* Fri Jun 17 2022 Andrea Valassi 8.1.1-1 (x86_64 and aarch64)
[Requestor: J. Ling (ATLAS)]
Add telnet (needed for dask-like job orchestration).
Require 55 packages on x86_64 and aarch64 (51 x86-64/aarch-64, 4 noarch).

* Tue May 03 2022 Andrea Valassi 8.1.0-3 (x86_64 and aarch64)
[Requestor: A. Valassi]
First CentOS Streams8 version.
Rebuild 8.0.3-4 using the koji aux8s tag (Streams8) instead of aux8 (CentOS8).
This is the first el8 koji build on the CentOS8 "aux8s" tag (see RQF1922723):
from this version onwards, the meta-rpm uses the ".el8s" suffix instead of ".el8".
This is the first el8 build tested on cs8-base images instead of cs8.
Require 54 packages on x86_64 and aarch64 (50 x86-64/aarch-64, 4 noarch).

* Mon May 02 2022 Andrea Valassi 8.0.3-4 (x86_64 and aarch64)
[Requestor: M. Litmaath (ALICE)]
Add jq (needed by ALICE).
Fix build issues for aarch64 on the gitlab CI (INC2986472 and INC3099190): use 
docker-arm-working (instead of docker-arm) gitlab CI nodes (thanks to Alex Iribarren).
This is the first successful el8 koji build for x86_64 and ARM/aarch64 simultaneously.
This is the last el8 koji build on the CentOS8 "aux8" tag (see RQF1922723).
Require 54 packages on x86_64 and aarch64 (50 x86-64/aarch-64, 4 noarch).

* Mon May 02 2022 Andrea Valassi 8.0.2-2 (x86_64 and aarch64)
[Requestor: A. Valassi]
Add xz (needed by ALICE) explicitly: I had forgotten to add it to 8.0.2-1.

* Thu Dec 16 2021 Andrea Valassi 8.0.2-1 (x86_64 and aarch64)
[Requestor: M. Litmaath (ALICE)]
Add xz (needed by ALICE) explicitly, even if normally it is already pulled in by xz-devel.
This is the first el8 koji build attempt for x86_64 and ARM/aarch64 simultaneously
(NB: the build of this package failed for aarch64 on the docker-arm CI nodes).
Require 53 packages on x86_64 and aarch64 (49 x86-64/aarch-64, 4 noarch).

* Wed Nov 11 2021 Andrea Valassi 8.0.1-2 (aarch64)
[Requestor: S. Traylen (CERN IT)]
First build on ARM (via 'rpmbuild -bb HEP_OSlibs.spec' on lxplus8-arm).
No change in spec file needed, thanks to %{__isa} tags.
Require 52 packages on aarch64 as on on x86_64 (48 x86-64/aarch-64, 4 noarch).

* Thu Jun 24 2021 Andrea Valassi 8.0.1-2 (x86_64)
[Requestor: M. Litmaath (ALICE)]
Add net-tools (needed by ALICE).
Requires 52 packages on x86_64 (48 x86-64, 4 noarch).

* Mon Jan 25 2021 Andrea Valassi 8.0.0-11
[Requestor: G. Ganis (SPI)]
First CentOS8 version. This is not derived from a CentOS7 version:
instead, it includes the minimal list of runtime and devel packages 
needed by the SPI team to build and test the LCG software stack. See
https://gitlab.cern.ch/sft/docker/-/blob/master/builder/centos8/packages.txt.
Requires 51 packages on x86_64 (47 x86-64, 4 noarch): for comparison,
version 7.2.14-1 for el7 requires 185 packages (177 x86-64, 8 noarch).
